#!/usr/local/bin/ruby
#
# ./brushed.rb > brushed.png

require "GD"

# create a new image
im = GD::Image.new(60, 30)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

# for Brushed
brush = GD::Image.new(10,10)
brush.colorAllocate(255, 255, 255) # white
brush.colorAllocate(0, 0, 0)       # black
brush.transparent(white)           # white is transparent
brush.filledRectangle(0,0,5,2,black) # a black rectangle
im.setBrush(brush)

# for Styled
im.setStyle(red, red, red, white, white, white)

im.line(10, 10, 50, 10, GD::Brushed)
im.line(10, 20, 50, 20, GD::Styled)

im.png STDOUT
