#!/usr/local/bin/ruby
#
# ./fill2_exp.rb > fill2_exp.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.arc(100, 50, 100, 50, 0, 360, blue)
im.fill(100, 50, red)

im.arc(100, 150, 100, 50, 0, 360, blue)
im.fill(100, 190, green)


im.line(100, 50, 150, 80, black)
im.string(GD::Font::LargeFont, 120, 85, "(100, 50)", black)

im.line(100, 190, 150, 120, black)
im.string(GD::Font::LargeFont, 120, 100, "(100, 190)", black)


im.png STDOUT
