#!/usr/local/bin/ruby
#
# ./rgb.rb

require "GD"

def print_rgb(rgb)
  STDERR.printf "red: %3d  green: %3d  blue: %3d\n",
	rgb[0], rgb[1], rgb[2]
end

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

rgb = im.rgb(white)
print_rgb(rgb)

rgb = im.rgb(black)
print_rgb(rgb)

rgb = im.rgb(yellow)
print_rgb(rgb)
