#!/usr/local/bin/ruby
#
# ./setPixel.rb > setPixel.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

for i in 1..10
  for j in 1..5
	im.setPixel(50 + i * 8, 50 + j * 16, blue)
  end
end

im.png STDOUT
