#!/usr/local/bin/ruby
#
# ./setbrush_png.rb > setbrush_png.png

require "GD"

# create a new image
im = GD::Image.new(10, 10)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.filledRectangle(0, 0, 5, 5, red)
im.filledRectangle(5, 0, 10, 5, green)
im.filledRectangle(0, 5, 5, 10, blue)
im.filledRectangle(5, 5, 10, 10, yellow)

im.png STDOUT
