#!/usr/local/bin/ruby
#
# ./string.rb > string.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

font = GD::Font.new('Large')
im.string(font, 50, 50, "String", blue)
im.string(GD::Font::LargeFont, 50, 100, "String", red)

im.png STDOUT
