#!/usr/local/bin/ruby
#
# ./stringttf.rb > stringttf.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.stringTTF(blue, "/usr/X11R6/lib/X11/fonts/TrueType/wadalab-gothic.ttf",
			 20, 10 * (Math::PI/180.0), 100, 75, "Hoge")
im.stringTTF(blue, "/usr/X11R6/lib/X11/fonts/TrueType/wadalab-gothic.ttf",
			 20, 180 * (Math::PI/180.0), 100, 150, "ۤ")

im.png STDOUT
