#!/usr/local/bin/ruby
#
# ./arc_exp.rb > arc_exp.png

require "GD"

# create a new image
im = GD::Image.new(300, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.arc(150, 150, 100, 50, 0, 270, red)

# cx, cy
im.arc(150, 150, 4, 4, 0, 360, black)
im.line(150, 150, 215, 120, black)
im.string(GD::Font::LargeFont, 220, 105, "(cx, cy)", black)

# width
im.dashedLine(100, 80, 100, 160, green)
im.dashedLine(200, 80, 200, 160, green)
im.line(100, 90, 200, 90, black)
im.string(GD::Font::LargeFont, 130, 70, "width", black)

# heihgt
im.dashedLine(40, 125, 150, 125, green)
im.dashedLine(40, 175, 150, 175, green)
im.line(50, 125, 50, 175, black)
im.stringUp(GD::Font::LargeFont, 15, 170, "heihgt", black)

im.png STDOUT
