#!/usr/local/bin/ruby
#
# ./arc_exp2.rb > arc_exp2.png

require "GD"

# create a new image
im = GD::Image.new(300, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.arc(150, 100, 100, 50, 0, 270, red)

# start, end
im.dashedLine(150, 100, 240, 100, black)
im.string(GD::Font::LargeFont, 260, 80, "360", black)
im.string(GD::Font::LargeFont, 260, 105, "0", black)

im.dashedLine(150, 100, 150, 150, black)
im.string(GD::Font::LargeFont, 145, 160, "90", black)

im.dashedLine(50, 100, 140, 100, black)
im.string(GD::Font::LargeFont, 20, 95, "180", black)

im.dashedLine(150, 50, 150, 100, black)
im.string(GD::Font::LargeFont, 140, 25, "270", black)


im.arc(200, 100, 4, 4, 0, 360, black)
im.line(200, 100, 250, 140, black)
im.string(GD::Font::LargeFont, 240, 150, "start", black)

im.arc(150, 75, 4, 4, 0, 360, black)
im.line(150, 75, 220, 40, black)
im.string(GD::Font::LargeFont, 230, 25, "end", black)

im.png STDOUT
