#!/usr/local/bin/ruby
#
# ./copy2.rb > copy2.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)
im2 = GD::Image.new(100, 100)

# allocate some colors
white = im2.colorAllocate(255,255,255)
black = im2.colorAllocate(0,0,0)
red = im2.colorAllocate(255,0,0)
green = im2.colorAllocate(0,255,0)
blue = im2.colorAllocate(0,0,255)
yellow = im2.colorAllocate(255,250,205)

im.colorAllocate(255,255,255)
im.colorAllocate(255,0,0)

im2.filledRectangle(0, 0, 50, 50, red)
im2.filledRectangle(50, 0, 100, 50, green)
im2.filledRectangle(0, 50, 50, 100, blue)
im2.filledRectangle(50, 50, 100, 100, yellow)
im.copy(im2, 100, 100, 0, 0, 50, 50)

im.png STDOUT
