#!/usr/local/bin/ruby
#
# ./copy_exp.rb > copy_exp.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

im.filledRectangle(0, 0, 50, 50, red)
im.filledRectangle(50, 0, 100, 50, green)
im.filledRectangle(0, 50, 50, 100, blue)
im.filledRectangle(50, 50, 100, 100, yellow)
im.copy(im, 100, 100, 0, 0, 50, 50)

im.line(100, 100, 170, 60, black)
im.string(GD::Font::LargeFont, 150, 40, "(x, y)", black)


im.png STDOUT
