#!/usr/local/bin/ruby
#
# ./polygon_toPt.rb > polygon_toPt.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

poly = GD::Polygon.new
poly.addPt(100,50)
poly.toPt(-50,50)
poly.toPt(100,0)

im.polygon(poly, blue)

im.png STDOUT
