#!/usr/local/bin/ruby
#
# ./red_green_blue.rb

require "GD"

def print_rgb(im, color)
  STDERR.printf "red: %3d  green: %3d  blue: %3d\n",
	im.red(color), im.green(color), im.blue(color)
end

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

print_rgb(im, white)
print_rgb(im, black)
print_rgb(im, red)
print_rgb(im, green)
print_rgb(im, blue)
