#!/usr/local/bin/ruby
#
# ./setbrush.rb > setbrush.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

brush = GD::Image.new(10,10)
brush.colorAllocate(255, 255, 255) # white
brush.colorAllocate(0, 0, 0)       # black
brush.transparent(white)           # white is transparent
brush.filledRectangle(0,0,5,2,black) # a black rectangle

im.setBrush(brush)
im.arc(100, 100, 100, 50, 0, 360, GD::Brushed)

im.png STDOUT
