#!/usr/local/bin/ruby
#
# ./setbrush2.rb > setbrush2.png

require "GD"

# create a new image
im = GD::Image.new(200, 200)

# allocate some colors
white = im.colorAllocate(255,255,255)
black = im.colorAllocate(0,0,0)
red = im.colorAllocate(255,0,0)
green = im.colorAllocate(0,255,0)
blue = im.colorAllocate(0,0,255)
yellow = im.colorAllocate(255,250,205)

file = open("setbrush_png.png", "rb")
brush = GD::Image.newFromPng(file)
file.close

im.setBrush(brush)
im.arc(100, 100, 100, 50, 0, 360, GD::Brushed)

im.png STDOUT
